# Alias

Unique ID that retains all the essential information about the data without compromising its security. A value can have multiple aliases.

## Reveal multiple aliases

> Given a list of aliases, retrieves all associated values stored in the\
> vault.\
> \
> \*\*NOTE:\*\* This endpoint may expose sensitive data. Therefore, it is\
> disabled by default. To enable it, please contact your VGS account\
> manager or drop us a line at\
> \[<support@verygoodsecurity.com>]\(mailto:<support@verygoodsecurity.com>).\
> \
> \*\*NOTE:\*\* metadata information fields of the alias \`classifiers\`, \`created\_at\` and \`format\` are supported only for PERSISTENT storage, in case of VOLATILE storage these fields will be filled up with default values.<br>

```json
{"openapi":"3.0.0","info":{"title":"Vault HTTP API","version":"2.0.0"},"tags":[{"name":"aliases","description":"Unique ID that retains all the essential information about the data\nwithout compromising its security. A value can have multiple aliases.\n"}],"servers":[{"url":"https://{vault-id}.sandbox.vault-api.verygoodvault.com","description":"Tenant hostname for the Vault API","variables":{"vault-id":{"description":"your tenant id (can be used with any of your tenants)","default":"{vault-id}"}}},{"url":"https://{vault-id}.live.vault-api.verygoodvault.com","description":"Tenant hostname for the Vault API","variables":{"vault-id":{"description":"your tenant id (can be used with any of your tenants)","default":"{vault-id}"}}}],"security":[{"OAuth2":[]}],"components":{"securitySchemes":{"OAuth2":{"type":"oauth2","description":"This api utilizes the OAuth2.0 Client Credentials flow utilizing VGS service account credentials","flows":{"clientCredentials":{"tokenUrl":"https://auth.verygoodsecurity.com/auth/realms/vgs/protocol/openid-connect/token","scopes":{"aliases:read":"This scope will allow the client to read the the entire vault data object using the associated alias in order for this scope to work, the vault must be configured to reveal data by VGS Support.","aliases:write":"This scope will allow the client to create new aliases by value. If the value already has an alias in the requested alias format - it will return the current alias already created when fingerprinting is turned on, otherwise it will create a new alias.","aliases:delete":"This scope will allow the client to delete any alias based upon the alias. This will only delete the alias, if the underlying value has more than one alias, the value is still retained in the vault until all associated aliases are removed."}}}}},"schemas":{"VaultDataObject":{"type":"object","properties":{"value":{"type":"string","description":"Decrypted value stored in the vault."},"classifiers":{"type":"array","items":{"type":"string"},"description":"List of tags the value is classified with.\n\n**NOTE:** classifier are supported only for PERSISTENT storage\n"},"aliases":{"type":"array","items":{"$ref":"#/components/schemas/AliasDataObject"},"description":"List of aliases associated with the value."},"created_at":{"type":"string","format":"date-time","description":"Creation time, in UTC.","nullable":true},"storage":{"type":"string","enum":["PERSISTENT","VOLATILE"],"default":"PERSISTENT","description":"Storage medium to use.\nVOLATILE results in data being persisted into an in-memory data store for one hour which is required for PCI compliant storage of card security code data.\n"}}},"AliasDataObject":{"type":"object","properties":{"alias":{"type":"string","description":"Opaque string used to substitute the raw value."},"format":{"$ref":"#/components/schemas/AliasFormat","nullable":true}}},"AliasFormat":{"type":"string","enum":["ALPHANUMERIC_SIX_T_FOUR","CUSTOM","FPE_ACC_NUM_T_FOUR","FPE_ALPHANUMERIC_ACC_NUM_T_FOUR","FPE_SIX_T_FOUR","FPE_SSN_T_FOUR","FPE_T_FOUR","GENERIC_T_FOUR","JS","NON_LUHN_FPE_ALPHANUMERIC","NUM_LENGTH_PRESERVING","PFPT","RAW_UUID","UUID","VGS_FIXED_LEN_GENERIC"],"description":"Format of the generated alias string.\nSee [Alias Formats](#section/Introduction/Alias-Formats) for details.\n","nullable":true},"ApiError":{"type":"object","properties":{"status":{"type":"integer","description":"HTTP status code."},"title":{"type":"string","description":"High-level reason of why the request failed."},"detail":{"type":"string","description":"Explanation of what exactly went wrong."},"href":{"type":"string","description":"Request URL."}}}},"responses":{"ApiErrorsResponse":{"description":"Something went wrong","content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/ApiError"},"description":"List of errors that occurred while processing the request.","minItems":1}}}}}}}},"paths":{"/aliases":{"get":{"operationId":"revealMultipleAliases","tags":["aliases"],"summary":"Reveal multiple aliases","description":"Given a list of aliases, retrieves all associated values stored in the\nvault.\n\n**NOTE:** This endpoint may expose sensitive data. Therefore, it is\ndisabled by default. To enable it, please contact your VGS account\nmanager or drop us a line at\n[support@verygoodsecurity.com](mailto:support@verygoodsecurity.com).\n\n**NOTE:** metadata information fields of the alias `classifiers`, `created_at` and `format` are supported only for PERSISTENT storage, in case of VOLATILE storage these fields will be filled up with default values.\n","parameters":[{"name":"aliases","in":"query","required":true,"description":"Comma-separated list of aliases to reveal.","schema":{"type":"string"}},{"name":"storage","in":"query","required":false,"description":"PERSISTENT or VOLATILE storage","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/VaultDataObject"}}}}}}},"default":{"$ref":"#/components/responses/ApiErrorsResponse"}}}}}}
```

## Create aliases

> Stores multiple values at once & returns their aliases.\
> Alternatively, this endpoint may be used to associate additional (i.e.\
> secondary) aliases with the same underlying data as the reference\
> alias specified in the request body.\
> \
> \*\*NOTE:\*\* You cannot reference the same alias more than once in a\
> single request.\
> \
> \*\*NOTE:\*\* metadata information fields of the alias \`classifiers\`, \`created\_at\` and \`format\` are supported only for PERSISTENT storage, in case of VOLATILE storage these fields will be filled up with default values.<br>

```json
{"openapi":"3.0.0","info":{"title":"Vault HTTP API","version":"2.0.0"},"tags":[{"name":"aliases","description":"Unique ID that retains all the essential information about the data\nwithout compromising its security. A value can have multiple aliases.\n"}],"servers":[{"url":"https://{vault-id}.sandbox.vault-api.verygoodvault.com","description":"Tenant hostname for the Vault API","variables":{"vault-id":{"description":"your tenant id (can be used with any of your tenants)","default":"{vault-id}"}}},{"url":"https://{vault-id}.live.vault-api.verygoodvault.com","description":"Tenant hostname for the Vault API","variables":{"vault-id":{"description":"your tenant id (can be used with any of your tenants)","default":"{vault-id}"}}}],"security":[{"OAuth2":[]}],"components":{"securitySchemes":{"OAuth2":{"type":"oauth2","description":"This api utilizes the OAuth2.0 Client Credentials flow utilizing VGS service account credentials","flows":{"clientCredentials":{"tokenUrl":"https://auth.verygoodsecurity.com/auth/realms/vgs/protocol/openid-connect/token","scopes":{"aliases:read":"This scope will allow the client to read the the entire vault data object using the associated alias in order for this scope to work, the vault must be configured to reveal data by VGS Support.","aliases:write":"This scope will allow the client to create new aliases by value. If the value already has an alias in the requested alias format - it will return the current alias already created when fingerprinting is turned on, otherwise it will create a new alias.","aliases:delete":"This scope will allow the client to delete any alias based upon the alias. This will only delete the alias, if the underlying value has more than one alias, the value is still retained in the vault until all associated aliases are removed."}}}}},"schemas":{"CreateAliasesRequest":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/CreateAliasesRequestNew"},"minItems":1,"maxItems":20}},"required":["data"]},"CreateAliasesRequestNew":{"type":"object","properties":{"value":{"type":"string","description":"Raw value to encrypt & store in the vault."},"classifiers":{"type":"array","items":{"type":"string"},"description":"List of tags to classify the value with.\n\n**NOTE:** classifier are supported only for PERSISTENT storage\n"},"format":{"$ref":"#/components/schemas/AliasFormat"},"storage":{"type":"string","enum":["PERSISTENT","VOLATILE"],"default":"PERSISTENT","description":"Storage medium to use.\n\nVOLATILE results in data being persisted into an in-memory data store for one hour which is required for PCI compliant storage of card security code data.\n"},"ttl_seconds":{"type":"integer","description":"Time-to-live (TTL) for VOLATILE storage in seconds.\nIt must not exceed 3600 seconds.\nIf not provided, or if explicitly set to 0, the vault-level configured TTL will be used.\nThis field is only applicable when storage is set to VOLATILE.\n","default":0,"maximum":3600,"minimum":0}},"required":["value","format"]},"AliasFormat":{"type":"string","enum":["ALPHANUMERIC_SIX_T_FOUR","CUSTOM","FPE_ACC_NUM_T_FOUR","FPE_ALPHANUMERIC_ACC_NUM_T_FOUR","FPE_SIX_T_FOUR","FPE_SSN_T_FOUR","FPE_T_FOUR","GENERIC_T_FOUR","JS","NON_LUHN_FPE_ALPHANUMERIC","NUM_LENGTH_PRESERVING","PFPT","RAW_UUID","UUID","VGS_FIXED_LEN_GENERIC"],"description":"Format of the generated alias string.\nSee [Alias Formats](#section/Introduction/Alias-Formats) for details.\n","nullable":true},"VaultDataObject":{"type":"object","properties":{"value":{"type":"string","description":"Decrypted value stored in the vault."},"classifiers":{"type":"array","items":{"type":"string"},"description":"List of tags the value is classified with.\n\n**NOTE:** classifier are supported only for PERSISTENT storage\n"},"aliases":{"type":"array","items":{"$ref":"#/components/schemas/AliasDataObject"},"description":"List of aliases associated with the value."},"created_at":{"type":"string","format":"date-time","description":"Creation time, in UTC.","nullable":true},"storage":{"type":"string","enum":["PERSISTENT","VOLATILE"],"default":"PERSISTENT","description":"Storage medium to use.\nVOLATILE results in data being persisted into an in-memory data store for one hour which is required for PCI compliant storage of card security code data.\n"}}},"AliasDataObject":{"type":"object","properties":{"alias":{"type":"string","description":"Opaque string used to substitute the raw value."},"format":{"$ref":"#/components/schemas/AliasFormat","nullable":true}}},"ApiError":{"type":"object","properties":{"status":{"type":"integer","description":"HTTP status code."},"title":{"type":"string","description":"High-level reason of why the request failed."},"detail":{"type":"string","description":"Explanation of what exactly went wrong."},"href":{"type":"string","description":"Request URL."}}}},"responses":{"ApiErrorsResponse":{"description":"Something went wrong","content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/ApiError"},"description":"List of errors that occurred while processing the request.","minItems":1}}}}}}}},"paths":{"/aliases":{"post":{"operationId":"createAliases","tags":["aliases"],"summary":"Create aliases","description":"Stores multiple values at once & returns their aliases.\nAlternatively, this endpoint may be used to associate additional (i.e.\nsecondary) aliases with the same underlying data as the reference\nalias specified in the request body.\n\n**NOTE:** You cannot reference the same alias more than once in a\nsingle request.\n\n**NOTE:** metadata information fields of the alias `classifiers`, `created_at` and `format` are supported only for PERSISTENT storage, in case of VOLATILE storage these fields will be filled up with default values.\n","parameters":[{"name":"Content-Type","in":"header","required":true,"schema":{"type":"string"},"description":"The media type of the resource being sent in the request body."}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAliasesRequest"}}},"required":true},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/VaultDataObject"},"description":"List of stored values along with their aliases."}}}}}},"default":{"$ref":"#/components/responses/ApiErrorsResponse"}}}}}}
```

## Batch Delete Aliases

> Deletes multiple aliases.<br>

```json
{"openapi":"3.0.0","info":{"title":"Vault HTTP API","version":"2.0.0"},"tags":[{"name":"aliases","description":"Unique ID that retains all the essential information about the data\nwithout compromising its security. A value can have multiple aliases.\n"}],"servers":[{"url":"https://{vault-id}.sandbox.vault-api.verygoodvault.com","description":"Tenant hostname for the Vault API","variables":{"vault-id":{"description":"your tenant id (can be used with any of your tenants)","default":"{vault-id}"}}},{"url":"https://{vault-id}.live.vault-api.verygoodvault.com","description":"Tenant hostname for the Vault API","variables":{"vault-id":{"description":"your tenant id (can be used with any of your tenants)","default":"{vault-id}"}}}],"security":[{"OAuth2":[]}],"components":{"securitySchemes":{"OAuth2":{"type":"oauth2","description":"This api utilizes the OAuth2.0 Client Credentials flow utilizing VGS service account credentials","flows":{"clientCredentials":{"tokenUrl":"https://auth.verygoodsecurity.com/auth/realms/vgs/protocol/openid-connect/token","scopes":{"aliases:read":"This scope will allow the client to read the the entire vault data object using the associated alias in order for this scope to work, the vault must be configured to reveal data by VGS Support.","aliases:write":"This scope will allow the client to create new aliases by value. If the value already has an alias in the requested alias format - it will return the current alias already created when fingerprinting is turned on, otherwise it will create a new alias.","aliases:delete":"This scope will allow the client to delete any alias based upon the alias. This will only delete the alias, if the underlying value has more than one alias, the value is still retained in the vault until all associated aliases are removed."}}}}},"schemas":{"BatchAliasesRequest":{"type":"object","properties":{"data":{"type":"array","items":{"type":"string"}},"storage":{"type":"string","enum":["PERSISTENT","VOLATILE"]}},"description":"Format for batch requests (limit 20)\n"}}},"paths":{"/aliases/delete":{"post":{"summary":"Batch Delete Aliases","operationId":"deleteAliases","tags":["aliases"],"description":"Deletes multiple aliases.\n","parameters":[{"name":"Content-Type","in":"header","required":true,"schema":{"type":"string"},"description":"The media type of the resource being sent in the request body."}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BatchAliasesRequest"}}},"required":true},"responses":{"204":{"description":"No Content"},"404":{"description":"Not Found"}}}}}}
```

## Reveal single alias

> Retrieves a stored value along with its aliases.\
> \
> \*\*NOTE:\*\* metadata information fields of the alias \`classifiers\`, \`created\_at\` and \`format\` are supported only for PERSISTENT storage, in case of VOLATILE storage these fields will be filled up with default values.<br>

```json
{"openapi":"3.0.0","info":{"title":"Vault HTTP API","version":"2.0.0"},"tags":[{"name":"aliases","description":"Unique ID that retains all the essential information about the data\nwithout compromising its security. A value can have multiple aliases.\n"}],"servers":[{"url":"https://{vault-id}.sandbox.vault-api.verygoodvault.com","description":"Tenant hostname for the Vault API","variables":{"vault-id":{"description":"your tenant id (can be used with any of your tenants)","default":"{vault-id}"}}},{"url":"https://{vault-id}.live.vault-api.verygoodvault.com","description":"Tenant hostname for the Vault API","variables":{"vault-id":{"description":"your tenant id (can be used with any of your tenants)","default":"{vault-id}"}}}],"security":[{"OAuth2":[]}],"components":{"securitySchemes":{"OAuth2":{"type":"oauth2","description":"This api utilizes the OAuth2.0 Client Credentials flow utilizing VGS service account credentials","flows":{"clientCredentials":{"tokenUrl":"https://auth.verygoodsecurity.com/auth/realms/vgs/protocol/openid-connect/token","scopes":{"aliases:read":"This scope will allow the client to read the the entire vault data object using the associated alias in order for this scope to work, the vault must be configured to reveal data by VGS Support.","aliases:write":"This scope will allow the client to create new aliases by value. If the value already has an alias in the requested alias format - it will return the current alias already created when fingerprinting is turned on, otherwise it will create a new alias.","aliases:delete":"This scope will allow the client to delete any alias based upon the alias. This will only delete the alias, if the underlying value has more than one alias, the value is still retained in the vault until all associated aliases are removed."}}}}},"parameters":{"storage":{"name":"storage","in":"query","required":false,"schema":{"type":"string","enum":["PERSISTENT","VOLATILE"],"default":"PERSISTENT"}}},"schemas":{"VaultDataObject":{"type":"object","properties":{"value":{"type":"string","description":"Decrypted value stored in the vault."},"classifiers":{"type":"array","items":{"type":"string"},"description":"List of tags the value is classified with.\n\n**NOTE:** classifier are supported only for PERSISTENT storage\n"},"aliases":{"type":"array","items":{"$ref":"#/components/schemas/AliasDataObject"},"description":"List of aliases associated with the value."},"created_at":{"type":"string","format":"date-time","description":"Creation time, in UTC.","nullable":true},"storage":{"type":"string","enum":["PERSISTENT","VOLATILE"],"default":"PERSISTENT","description":"Storage medium to use.\nVOLATILE results in data being persisted into an in-memory data store for one hour which is required for PCI compliant storage of card security code data.\n"}}},"AliasDataObject":{"type":"object","properties":{"alias":{"type":"string","description":"Opaque string used to substitute the raw value."},"format":{"$ref":"#/components/schemas/AliasFormat","nullable":true}}},"AliasFormat":{"type":"string","enum":["ALPHANUMERIC_SIX_T_FOUR","CUSTOM","FPE_ACC_NUM_T_FOUR","FPE_ALPHANUMERIC_ACC_NUM_T_FOUR","FPE_SIX_T_FOUR","FPE_SSN_T_FOUR","FPE_T_FOUR","GENERIC_T_FOUR","JS","NON_LUHN_FPE_ALPHANUMERIC","NUM_LENGTH_PRESERVING","PFPT","RAW_UUID","UUID","VGS_FIXED_LEN_GENERIC"],"description":"Format of the generated alias string.\nSee [Alias Formats](#section/Introduction/Alias-Formats) for details.\n","nullable":true},"ApiError":{"type":"object","properties":{"status":{"type":"integer","description":"HTTP status code."},"title":{"type":"string","description":"High-level reason of why the request failed."},"detail":{"type":"string","description":"Explanation of what exactly went wrong."},"href":{"type":"string","description":"Request URL."}}}},"responses":{"ApiErrorsResponse":{"description":"Something went wrong","content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/ApiError"},"description":"List of errors that occurred while processing the request.","minItems":1}}}}}}}},"paths":{"/aliases/{alias}":{"get":{"operationId":"revealAlias","tags":["aliases"],"summary":"Reveal single alias","description":"Retrieves a stored value along with its aliases.\n\n**NOTE:** metadata information fields of the alias `classifiers`, `created_at` and `format` are supported only for PERSISTENT storage, in case of VOLATILE storage these fields will be filled up with default values.\n","parameters":[{"$ref":"#/components/parameters/storage"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/VaultDataObject"},"description":"The retrieved value.","minItems":1,"maxItems":1}}}}}},"default":{"$ref":"#/components/responses/ApiErrorsResponse"}}}}}}
```

## Update data classifiers

> Apply a new set of classifiers to the value that the specified alias is\
> associated with. Note that this will replace existing classifiers.\
> \
> \*\*NOTE:\*\* update operation is not supported for VOLATILE aliases.\
> \
> \*\*NOTE:\*\* metadata information fields of the alias \`classifiers\`, \`created\_at\` and \`format\` are supported only for PERSISTENT storage, in case of VOLATILE storage these fields will be filled up with default values.<br>

```json
{"openapi":"3.0.0","info":{"title":"Vault HTTP API","version":"2.0.0"},"tags":[{"name":"aliases","description":"Unique ID that retains all the essential information about the data\nwithout compromising its security. A value can have multiple aliases.\n"}],"servers":[{"url":"https://{vault-id}.sandbox.vault-api.verygoodvault.com","description":"Tenant hostname for the Vault API","variables":{"vault-id":{"description":"your tenant id (can be used with any of your tenants)","default":"{vault-id}"}}},{"url":"https://{vault-id}.live.vault-api.verygoodvault.com","description":"Tenant hostname for the Vault API","variables":{"vault-id":{"description":"your tenant id (can be used with any of your tenants)","default":"{vault-id}"}}}],"security":[{"OAuth2":[]}],"components":{"securitySchemes":{"OAuth2":{"type":"oauth2","description":"This api utilizes the OAuth2.0 Client Credentials flow utilizing VGS service account credentials","flows":{"clientCredentials":{"tokenUrl":"https://auth.verygoodsecurity.com/auth/realms/vgs/protocol/openid-connect/token","scopes":{"aliases:read":"This scope will allow the client to read the the entire vault data object using the associated alias in order for this scope to work, the vault must be configured to reveal data by VGS Support.","aliases:write":"This scope will allow the client to create new aliases by value. If the value already has an alias in the requested alias format - it will return the current alias already created when fingerprinting is turned on, otherwise it will create a new alias.","aliases:delete":"This scope will allow the client to delete any alias based upon the alias. This will only delete the alias, if the underlying value has more than one alias, the value is still retained in the vault until all associated aliases are removed."}}}}},"schemas":{"UpdateAliasRequest":{"type":"object","properties":{"data":{"type":"object","properties":{"classifiers":{"type":"array","items":{"type":"string"},"description":"List of tags to classify the value with."},"storage":{"type":"string","enum":["PERSISTENT"],"default":"PERSISTENT","description":"Storage medium to use.\n\nVOLATILE storage is not supported for this operation.\n"}},"required":["classifiers"]}},"required":["data"]},"ApiError":{"type":"object","properties":{"status":{"type":"integer","description":"HTTP status code."},"title":{"type":"string","description":"High-level reason of why the request failed."},"detail":{"type":"string","description":"Explanation of what exactly went wrong."},"href":{"type":"string","description":"Request URL."}}}},"responses":{"ApiErrorsResponse":{"description":"Something went wrong","content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/ApiError"},"description":"List of errors that occurred while processing the request.","minItems":1}}}}}}}},"paths":{"/aliases/{alias}":{"put":{"operationId":"updateAlias","tags":["aliases"],"summary":"Update data classifiers","description":"Apply a new set of classifiers to the value that the specified alias is\nassociated with. Note that this will replace existing classifiers.\n\n**NOTE:** update operation is not supported for VOLATILE aliases.\n\n**NOTE:** metadata information fields of the alias `classifiers`, `created_at` and `format` are supported only for PERSISTENT storage, in case of VOLATILE storage these fields will be filled up with default values.\n","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAliasRequest"}}},"required":true},"responses":{"204":{"description":"No Content"},"default":{"$ref":"#/components/responses/ApiErrorsResponse"}}}}}}
```

## Delete alias

> Removes a single alias.<br>

```json
{"openapi":"3.0.0","info":{"title":"Vault HTTP API","version":"2.0.0"},"tags":[{"name":"aliases","description":"Unique ID that retains all the essential information about the data\nwithout compromising its security. A value can have multiple aliases.\n"}],"servers":[{"url":"https://{vault-id}.sandbox.vault-api.verygoodvault.com","description":"Tenant hostname for the Vault API","variables":{"vault-id":{"description":"your tenant id (can be used with any of your tenants)","default":"{vault-id}"}}},{"url":"https://{vault-id}.live.vault-api.verygoodvault.com","description":"Tenant hostname for the Vault API","variables":{"vault-id":{"description":"your tenant id (can be used with any of your tenants)","default":"{vault-id}"}}}],"security":[{"OAuth2":[]}],"components":{"securitySchemes":{"OAuth2":{"type":"oauth2","description":"This api utilizes the OAuth2.0 Client Credentials flow utilizing VGS service account credentials","flows":{"clientCredentials":{"tokenUrl":"https://auth.verygoodsecurity.com/auth/realms/vgs/protocol/openid-connect/token","scopes":{"aliases:read":"This scope will allow the client to read the the entire vault data object using the associated alias in order for this scope to work, the vault must be configured to reveal data by VGS Support.","aliases:write":"This scope will allow the client to create new aliases by value. If the value already has an alias in the requested alias format - it will return the current alias already created when fingerprinting is turned on, otherwise it will create a new alias.","aliases:delete":"This scope will allow the client to delete any alias based upon the alias. This will only delete the alias, if the underlying value has more than one alias, the value is still retained in the vault until all associated aliases are removed."}}}}},"parameters":{"storage":{"name":"storage","in":"query","required":false,"schema":{"type":"string","enum":["PERSISTENT","VOLATILE"],"default":"PERSISTENT"}}},"responses":{"ApiErrorsResponse":{"description":"Something went wrong","content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/ApiError"},"description":"List of errors that occurred while processing the request.","minItems":1}}}}}}},"schemas":{"ApiError":{"type":"object","properties":{"status":{"type":"integer","description":"HTTP status code."},"title":{"type":"string","description":"High-level reason of why the request failed."},"detail":{"type":"string","description":"Explanation of what exactly went wrong."},"href":{"type":"string","description":"Request URL."}}}}},"paths":{"/aliases/{alias}":{"delete":{"operationId":"deleteAlias","tags":["aliases"],"summary":"Delete alias","description":"Removes a single alias.\n","parameters":[{"$ref":"#/components/parameters/storage"}],"responses":{"204":{"description":"No Content"},"default":{"$ref":"#/components/responses/ApiErrorsResponse"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.verygoodsecurity.com/vault/developer-tools/apis/vault-api/alias.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
